Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.messaging
Class AbstractSubscribeMessage

    java.lang.Object
      rice.p2p.scribe.messaging.ScribeMessage
          rice.p2p.scribe.messaging.AbstractSubscribeMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

Direct Known Subclasses:
  SubscribeAckMessage, SubscribeFailedMessage, SubscribeLostMessage

    public abstract class AbstractSubscribeMessage

extends ScribeMessage

Version:
  $Id: AbstractSubscribeMessage.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`protected int` | `id` The id of this subscribe message

Fields inherited from class rice.p2p.scribe.messaging.ScribeMessage
`source, topic`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`protected` | `AbstractSubscribeMessage(InputBuffer buf, Endpoint endpoint)` Protected because it should only be called from an extending class, to get version numbers correct.
`` | `AbstractSubscribeMessage(NodeHandle source, Topic topic, int id)` Constructor which takes a unique integer Id

Method Summary
`int` | `getId()` Returns this subscribe lost message's id
`void` | `serialize(OutputBuffer buf)`

Methods inherited from class rice.p2p.scribe.messaging.ScribeMessage
`getPriority, getSource, getTopic, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.rawserialization.RawMessage
`getType`

Field Detail

### id

    protected int id

  The id of this subscribe message

Constructor Detail

### AbstractSubscribeMessage

    public AbstractSubscribeMessage(NodeHandle source,
                                    Topic topic,
                                    int id)

  Constructor which takes a unique integer Id

  Parameters:
    `id` - The unique id
    `source` - The source address
    `dest` - The destination address

### AbstractSubscribeMessage

    protected AbstractSubscribeMessage(InputBuffer buf,
                                       Endpoint endpoint)
                                throws java.io.IOException

  Protected because it should only be called from an extending class, to get version numbers correct.

  Throws:
    `java.io.IOException`

Method Detail

### getId

    public int getId()

  Returns this subscribe lost message's id

  Returns:
    The id of this subscribe lost message

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawMessage`
  Overrides:
    `serialize` in class `ScribeMessage`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.